package com.benyun.project.third.kingdeeDict.mapper;

import java.util.List;
import com.benyun.project.third.kingdeeDict.domain.KingdeeDict;

/**
 * 金蝶单据类型字典Mapper接口
 *
 * @author 冯旺
 * @date 2024-01-04
 */
public interface KingdeeDictMapper
{
    /**
     * 查询金蝶单据类型字典
     *
     * @param id 金蝶单据类型字典主键
     * @return 金蝶单据类型字典
     */
    public KingdeeDict selectKingdeeDictById(Long id);

    /**
     * 查询金蝶单据类型字典列表
     *
     * @param kingdeeDict 金蝶单据类型字典
     * @return 金蝶单据类型字典集合
     */
    public List<KingdeeDict> selectKingdeeDictList(KingdeeDict kingdeeDict);

    /**
     * 新增金蝶单据类型字典
     *
     * @param kingdeeDict 金蝶单据类型字典
     * @return 结果
     */
    public int insertKingdeeDict(KingdeeDict kingdeeDict);

    /**
     * 修改金蝶单据类型字典
     *
     * @param kingdeeDict 金蝶单据类型字典
     * @return 结果
     */
    public int updateKingdeeDict(KingdeeDict kingdeeDict);

    /**
     * 删除金蝶单据类型字典
     *
     * @param id 金蝶单据类型字典主键
     * @return 结果
     */
    public int deleteKingdeeDictById(Long id);

    /**
     * 批量删除金蝶单据类型字典
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKingdeeDictByIds(String[] ids);

    int insertBatchKingdeeDict(List<KingdeeDict> dicList);

    List<KingdeeDict> selectKingdeeDictByNumber(String number);
}
